# List notification summaries Rota responsável por listar os resumos das notificações do usuário com filtros por status, canal, categoria e período. Endpoint: GET /notifications/notifications/summary Version: 1.0 Security: bearerAuth ## Header parameters: - `fingerprint` (string, required) Identificador único do dispositivo. ## Query parameters: - `page` (string, required) Page number to access - `limit` (string, required) Number of items to be loaded per page - `status` (string) Filtro por status da notificação. Enum: "queued", "sending", "sent", "delivered", "failed", "retrying", "dropped", "canceled", "read" - `channel` (string) Filtro por canal da notificação. Enum: "email", "sms", "web-push", "mobile-push", "whatsapp", "*" - `category` (string) Filtro por categoria da notificação. Enum: "promotions", "updates", "alerts", "newsletters", "internal", "*" - `startDate` (string) Data inicial do período. - `endDate` (string) Data final do período. ## Response 200 fields (application/json): - `statusCode` (number) Example: 200 - `data` (object) - `data.docs` (array) - `data.docs.id` (string) Example: "65af9c12ab34de98ff001122" - `data.docs.createdAt` (string) Example: "2026-02-01T12:10:00.000Z" - `data.docs.read` (boolean) - `data.docs.content` (string) Example: "Um novo acesso foi identificado na sua conta." - `data.docs.subject` (string) Example: "🔐 Novo login detectado" - `data.docs.icon` (string) Example: "🔐" - `data.docs.forwardTo` (string) Example: "https://app.exemplo.com/security" - `data.limit` (number) Example: 10 - `data.currentPage` (number) Example: 1 - `data.hasNext` (boolean) Example: true - `data.nextPage` (number) Example: 2 - `data.totalDocs` (number) Example: 120 - `data.totalPages` (number) Example: 12 ## Response 400 fields (application/json): - `message` (string) Invalid param: [] Example: "Invalid param: []" - `error` (string) Bad Request Example: "Bad Request" - `statusCode` (integer) 400 Example: 400 ## Response 401 fields (application/json): - `message` (string) Invalid field Example: "Unauthorized" - `error` (string) Unauthorized Example: "Unauthorized" - `statusCode` (integer) 401 Example: 401 ## Response 403 fields (application/json): - `message` (string) Forbidden resource Example: "Forbidden resource" - `error` (string) Forbidden Example: "Forbidden" - `statusCode` (integer) 403 Example: 403 ## Response 500 fields (application/json): - `message` (string) Internal server error Example: "Internal server error" - `error` (string) Internal Server Error Example: "Internal Server Error" - `statusCode` (integer) 500 Example: 500